LC_CHANNEL_SEND(3)

NAME
lc_channel_send, lc_channel_sendmsg - send data on a Librecast channel

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/net.h>

ssize_t lc_channel_send(lc_channel_t *chan, const void *buf, size_t len, int flags)
ssize_t lc_channel_sendmsg(lc_channel_t *chan, struct msghdr *msg, int flags);

Compile and link with -llibrecast.

DESCRIPTION
Each of these functions sends data over multicast on the librecast channel chan. They are analogous to the send(2) and sendmsg(2) calls.

In addition to the usual flags used with send(2) and sendmsg(2) these functions support the following flags:

MSG_DROP
    This flag causes the packet to be dropped instead of sending. It is used for testing. All normal processing, such as encoding proceeds as usual. Only the final send syscall is skipped. The return value will be the number of bytes that would have been sent.

RETURN VALUE
These calls return the number of bytes received, or -1 if an error occurred. In the event of an error, errno is set to indicate the error.

ERRORS
See send(2).

SEE ALSO
lc_ctx_new(3), lc_channel_new(3), send(2), sendmsg(2)